package com.macro.mall.tiny.modules.business.service.impl;

import com.macro.mall.tiny.common.service.RedisService;
import com.macro.mall.tiny.modules.business.model.KrBLine;
import com.macro.mall.tiny.modules.business.service.KrBLineCacheService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author gjs
 * @description
 * @date 2021/3/24 14:40
 */
@Service
public class KrBLineCacheServiceImpl implements KrBLineCacheService {

    @Autowired
    private RedisService redisService;
    @Value("${redis.database}")
    private String REDIS_DATABASE;
    @Value("${redis.expire.common}")
    private Long REDIS_EXPIRE;
    @Value("${redis.key.lineList}")
    private String REDIS_KEY_LINE_LIST;

    @Override
    public List<KrBLine> getLineList() {
        String key = REDIS_DATABASE + ":" + REDIS_KEY_LINE_LIST;
        return (List<KrBLine>) redisService.get(key);
    }

    @Override
    public void setLineList(List<KrBLine> lineList) {
        String key = REDIS_DATABASE + ":" + REDIS_KEY_LINE_LIST;
        redisService.set(key, lineList, REDIS_EXPIRE);
    }

    @Override
    public void delLineList() {
        String key = REDIS_DATABASE + ":" + REDIS_KEY_LINE_LIST;
        redisService.del(key);
    }
}
